org.apache.commons.math3.exception

## Class NotPositiveException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.apache.commons.math3.exception.MathIllegalArgumentException
          - - org.apache.commons.math3.exception.MathIllegalNumberException
            - - org.apache.commons.math3.exception.NumberIsTooSmallException
              - - org.apache.commons.math3.exception.NotPositiveException

- All Implemented Interfaces:
    Serializable, ExceptionContextProvider

      public class NotPositiveException
      extends NumberIsTooSmallException

  Exception to be thrown when the argument is negative.
  Since:
    2.2
  Version:
    $Id$
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotPositiveException(Localizable specific, Number value)` Construct the exception with a specific context.
    `NotPositiveException(Number value)` Construct the exception.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.math3.exception.NumberIsTooSmallException

      `getBoundIsAllowed, getMin`

    - ### Methods inherited from class org.apache.commons.math3.exception.MathIllegalNumberException

      `getArgument`

    - ### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

      `getContext, getLocalizedMessage, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotPositiveException

          public NotPositiveException(Number value)

      Construct the exception.
      Parameters:
        `value` - Argument.

    - #### NotPositiveException

          public NotPositiveException(Localizable specific,
                              Number value)

      Construct the exception with a specific context.
      Parameters:
        `specific` - Specific context where the error occurred.
        `value` - Argument.

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.